Bug 130851 - When allowed to auto-update external links, Calc accesses them without need
Summary: When allowed to auto-update external links, Calc accesses them without need
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks: Calc-External-Datalink
  Show dependency treegraph
 
Reported: 2020-02-21 16:48 UTC by Mike Kaganski
Modified: 2022-05-11 03:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
An XLSX with an external link in named range, which is not referenced anywhere (10.16 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-02-21 16:48 UTC, Mike Kaganski
Details
unusedExternalLinks screenshot (50.21 KB, image/png)
2020-02-21 18:20 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-02-21 16:48:02 UTC
Created attachment 158084 [details]
An XLSX with an external link in named range, which is not referenced anywhere

The attachment contain no data on a single empty sheet; the only thing that is defined in the document is a named range that references a file on a network share with Windows UNC name "\\path\to\file.xls" (and an invalid reference there). The range is not used anywhere in the document, it's only defined.

When the document is opened, LO shows an infobar telling that automatic updates of external links are disabled (with default settings). The problem is that if the update is allowed, soffice.bin tries to access the network path.

This is a performance issue: if the share is unavailable, the request to access the file must time out before LibreOffice can proceed. Given that the data in not referenced anywhere, the network access is useless.

The time is spent in Content::isFolder (ucbhelper/source/client/content.cxx).
Eike: do you think it's possible to not try to access not referenced data? I suppose that could also speed up documents that link to local files, too.
Comment 1 Oliver Brinzing 2020-02-21 18:20:19 UTC
Created attachment 158089 [details]
unusedExternalLinks screenshot

(In reply to Mike Kaganski from comment #0)
> This is a performance issue: if the share is unavailable, the request to
> access the file must time out before LibreOffice can proceed. Given that the
> data in not referenced anywhere, the network access is useless.

with 

Version: 7.0.0.0.alpha0+ (x64)
Build ID: aa58c380894dd384f6ce1efc62b3932136f2f477
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
[Allow updating]

i get a msgbox after [Allow update] within ~ 3 seconds
Comment 2 Buovjaga 2020-05-10 14:37:37 UTC
Setting to NEW per description
Comment 3 QA Administrators 2022-05-11 03:33:08 UTC
Dear Mike Kaganski,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug